Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface IPaintPositionManager

    public interface IPaintPositionManager

Manages and updates positions used by `IPainter`s.

Since:
  2.1
See Also:
  `IPainter`

Method Summary
`void` `managePosition(Position position)` Starts managing the given position until `unmanagePosition` is called.
`void` `unmanagePosition(Position position)` Stops managing the given position.

Method Detail

### managePosition

    void managePosition(Position position)

  Starts managing the given position until `unmanagePosition` is called.

  Parameters:
    `position` - the position to manage
  See Also:
    `unmanagePosition(Position)`

### unmanagePosition

    void unmanagePosition(Position position)

  Stops managing the given position. If the position is not managed by this managed, this call has no effect.

  Parameters:
    `position` - the position that should no longer be managed

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.